Page MenuHomePhabricator

ElectronPdfService mw extension l10n messages missing after full scap sync
Closed, ResolvedPublic

Description

Earlier today I tried to deploy the ElectronPdfService mediawiki extension and it didn't quite go to plan as I did not add the extension to extension-list.
I added it in https://gerrit.wikimedia.org/r/#/c/325288/ and then went to do a l10n update and sync (which is when i ran into T152390)
I then tried a full sync (as @hashar and I thought that would work) but the messages for the extension still did not show up!
https://test.wikipedia.org/w/index.php?title=Special:ElectronPdf&page=Page619&action=show-selection-screen&coll-download-url=%2Fw%2Findex.php%3Ftitle%3DSpecial%3ABook%26bookcmd%3Drender_article%26arttitle%3DPage619%26returnto%3DPage619%26oldid%3D273752%26writer%3Drdf2latex

Event Timeline

Addshore created this task.Dec 5 2016, 5:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2016, 5:15 PM
thcipriani triaged this task as High priority.Dec 5 2016, 11:54 PM
thcipriani edited projects, added Scap; removed scap2.
thcipriani added subscribers: bd808, Reedy, demon.

Hrm. So in doing some digging, it seems like the electronpdf service is missing from extensionmessages:

grep -i electron /srv/mediawiki-staging/wmf-config/ExtensionMessages-1.29.0-wmf.4.php

comes back empty; however, if I run mergeMessageFileList and just look at stdout:

mwscript mergeMessageFileList.php --wiki=testwiki --list-file /srv/mediawiki-staging/wmf-config/extension-list
...
$wgExtensionMessagesFiles = array (
...
 'ElectronPdfServiceAlias' => "$IP/extensions/ElectronPdfService/ElectronPdfService.i18n.alias.php",
...
$wgMessagesDirs = array (
...
  'ElectronPdfService' =>
  array (
    0 => "$IP/extensions/ElectronPdfService/i18n",
  ),
...

So somehow, I guess, mergeMessageFileList wasn't called, but it is a part of scap.tasks.update_localization_cache which is called from scap sync https://github.com/wikimedia/scap/blob/master/scap/tasks.py#L594

Was there anything in the output of scap sync that looked unusual?

The only thing that stands out at this point is that the owner might be wrong here:

[thcipriani@tin ~]$ ls -l /srv/mediawiki-staging/wmf-config/ExtensionMessages-1.29.0-wmf.4.php
-rw-rw-rw- 1 demon wikidev 28915 Dec  5 12:50 /srv/mediawiki-staging/wmf-config/ExtensionMessages-1.29.0-wmf.4.php

But the timestamps seem to match when you ran the scap sync, i.e. 12:47 addshore@tin: Started scap: Add ElectronPdfService to extensions-list, sync-l10n seems to have a bug. (Take 2)

Adding @demon, @Reedy, @bd808 -- if they have any input.

bd808 added a comment.Dec 6 2016, 12:58 AM
  • scap sync-l10n is not for rebuilding the localization files. It's actually a command that is designed to be used by l10nupdate to ship built l10n data to the cluster.
  • scap sync should do a full l10n update however

Was there anything in the output of scap sync that looked unusual?

Nothing looked odd

demon moved this task from Needs triage to Scap3-MediaWiki-MVP on the Scap board.Dec 8 2016, 1:56 AM
demon edited projects, added Scap (Scap3-MediaWiki-MVP); removed Scap.

It looks like after one of the scaps for the train the message issue has reslved itself.

greg added a subscriber: greg.Dec 9 2016, 11:08 PM

Any other debugging we can do now? :/

demon closed this task as Resolved.Dec 11 2016, 12:24 AM
demon claimed this task.

It looks like after one of the scaps for the train the message issue has reslved itself.

Good :)

Any other debugging we can do now? :/

Not really, I'm going to resolve.